# Delivery reports (DR) for SMS

Delivery Report (DR) will be sent to your webhook URL using the HTTP method you specified in Movider developer setting section. A Delivery Report tells the status of sending an SMS message and whether it has been sent.

You can also overwrite the default callback URL and method per request by `callback_url` and `callback_method` parameters (see [Send SMS](/reference/post_sms)).

In case the callback method is **POST** we're requesting with Content-Type `application-x-www-urlencoded`.

### Retry logic

In case of HTTP response code is not 2xx and 3xx, There will be retry attempts with intervals of 1, 10, 20, 40, 80, and 160 seconds.

### Delivery report format

Request body description

| Parameter name | Type   | Description                                                                                            |
| :------------- | :----- | :----------------------------------------------------------------------------------------------------- |
| status         | string | SMS status group (see [Delivery reports (DR) status](/reference/delivery-reports-dr-status-reference)) |
| detail         | string | SMS status detail                                                                                      |
| message\_id    | uuid   | The unique message id generated by Movider                                                             |
| message\_price | float  | SMS price                                                                                              |
| to             | string | Mobile phone number to which the SMS was sent                                                          |
| sent\_date     | string | Date and time when the request has been sent                                                           |

### Responding to Movider

You are also required to respond to Movider gateway in order to receive the Delivery Report (DR) of sending SMS messages. At your webhook URL, please respond in JSON format as shown below.

```json
{
  "status": "OK",
  "detail": ""
}
```